# Makefile for tine client utilities
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.6 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine/ 
LIBS = /usr/lib

CPP = g++ -fPIC -shared 
CC = gcc -g -fPIC -Wall -I${INCL} -c
CCL = cc -g 
LM = -lm
LD = ld -G
SWIGPERL = swig -perl5
CCPERL = gcc -I${INCL} -c 

tine4perl.so: tine4perl.o 
	${LD} tine4perl.o tine4perl_wrap.o ${LIBS}/libtinemt.so -o tine4perl.so

tine4perl.o: tine4perl.c 
	${SWIGPERL} tine4perl.i 
	${CCPERL} tine4perl.c tine4perl_wrap.c `perl -MExtUtils::Embed -e ccopts`

clean:
	rm -f *.o
